Subject: [PATCH 1/2] iio: sun4i-lradc: Add binding documentation

From: [email-masked] (Alexandre Belloni)
Date: Sat, 2 Jul 2016 22:43:03 +0200

On 02/07/2016 at 21:46:43 +0200, Hans de Goede wrote :
> Hi,
> 
> On 02-07-16 15:35, Alexandre Belloni wrote:
> > On 02/07/2016 at 17:12:55 +0800, Chen-Yu Tsai wrote :
> > > Hi,
> > > 
> > > On Sat, Jul 2, 2016 at 5:00 AM, Alexandre Belloni
> > > <[email-masked]> wrote:
> > > > Document the bindings for the Allwinner LRADC.
> > > 
> > > We already have Documentation/devicetree/bindings/input/sun4i-lradc-keys.txt
> > > and I'm pretty sure Hans (CC-ed) argued that this is not a generic ADC
> > > block.
> > > 
> > > Any plans to reconcile the different bindings?
> > > 
> > 
> > Yes, I already submitted an adc-keys driver that can work with any ADC:
> > https://lkml.org/lkml/2016/7/1/670
> > 
> > I agree that because it is not yet handling interrupts and is polling
> > the ADC, it is not as good as sun4i-lradc-keys yet. My plan is to solve
> > that but it require significant work in iio.
> 
> And it also seems to break dt compatibility. Note I'm not against
> making an exception for this and breaking the dt compat, but until
> the polling is fixed we should not replace sun4i-lradc-keys.
> 
> If I understand you correctly then you want to use a new generic
> "sun4i-lradc" compatible. If you do that then we can just build both
> drivers for now and use the right compatible depending on how the
> board uses the lradc for now.
> 

Well, I never said we have to remove the previous compatible, just that
it was probably not the best one. I also didn't send a patch to remove
the previous driver and they can indeed coexist nicely for now.

Anyway, if we want to remove the sun4i-lradc-keys driver and keep DT
compatibility, we'll have to write a small stub driver. It isn't the
easiest task but it is doable.

-- 
Alexandre Belloni, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com